Summary:	CLIPS - a productive development and delivery expert system tool
Summary(pl.UTF-8):	CLIPS - narzędzie do tworzenia i wdrażania systemów eksperckich
Name:		clips
Version:	6.26
Release:	5
License:	Public Domain
Group:		Development/Languages
Source0:	http://www.ghg.net/clips/download/source/clipssrc.tar.Z
# Source0-md5:	ccba9d912375e57a1b7d9eba12da4198
Source1:	http://www.ghg.net/clips/download/documentation/3CCP.pdf
# Source1-md5:	a6a60733af08f9e9e6d0928272ad4dd9
Source2:	http://www.ghg.net/clips/download/documentation/abstract.pdf
# Source2-md5:	cd3ecddc4e538b8af0e5cf08ab7fd89c
Source3:	http://www.ghg.net/clips/download/documentation/apg.pdf
# Source3-md5:	fae2267d96fb95603345e91c9990caaa
Source4:	http://www.ghg.net/clips/download/documentation/arch5-1.pdf
# Source4-md5:	9a13d2ed18fe6ab67902d5bce29957cb
Source5:	http://www.ghg.net/clips/download/documentation/bpg.pdf
# Source5-md5:	63891971aa782dc67c2de0579647247e
Source6:	http://www.ghg.net/clips/download/documentation/ig.pdf
# Source6-md5:	89beca5caa08b30d8285cca7f1df1d26
Source7:	http://www.ghg.net/clips/download/documentation/usrguide.pdf
# Source7-md5:	44e54697a8acf3509bc4ca51d88b65bd
Source8:	http://www.ghg.net/clips/download/source/%{name}.hlp
# Source8-md5:	55f662f8aa8400aff8bf5a5cb882f708
Source9:	http://www.ghg.net/clips/download/executables/examples/AllExamples.tar.Z
# Source9-md5:	f5c02b997199f3ede779b8502af2ba09
Patch0:		%{name}-automake.patch
URL:		http://www.ghg.net/clips/CLIPS.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CLIPS is a productive development and delivery expert system tool
which provides a complete environment for the construction of rule
and/or object based expert systems. CLIPS is being used by numerous
users throughout the public and private community including: all NASA
sites and branches of the military, numerous federal bureaus,
government contractors, universities, and many companies.

%description -l pl.UTF-8
CLIPS jest narzędziem do tworzenia i wdrażania systemów eksperckich
zapewniającym kompletne środowisko do tworzenia systemów eksperckich
opartych na regułach lub obiektach. CLIPS jest używany przez wielu
użytkowników prywatnych i publicznych, tym: NASA i różne gałęzie
wojska, biura federalne, kontrahentów rządowych, uniwersytety i wiele
firm.

%package doc
Summary:	CLIPS documentation
Summary(pl.UTF-8):	Dokumentacja do CLIPS
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description doc
CLIPS documentation and examples.

%description doc -l pl.UTF-8
Dokumentacja i przykłady do CLIPSa.

%package devel
Summary:	CLIPS development files
Summary(pl.UTF-8):	Nagłówki do CLIPSa
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description devel
Includes for programs using embadded CLIPS environment.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programów używających wbudowanego środowiska CLIPSa.

%package static
Summary:	CLIPS static libraries
Summary(pl.UTF-8):	Statyczne biblioteki do CLIPSa
Group:		Development/Languages
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries for programs using embadded CLIPS environment.

%description static -l pl.UTF-8
Statyczne biblioteki dla programów używających wbudowanego środowiska
CLIPSa.

%prep
%setup -q -T -c -a0 -a9
%patch0 -p0

cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} \
	%{SOURCE6} %{SOURCE7} .

%build
cd clipssrc/clipssrc/
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

echo '#undef HELP_DEFAULT' > usrsetup.h
echo '#define HELP_DEFAULT "%{_datadir}/misc/%{name}.hlp"' >> usrsetup.h

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/misc,%{_examplesdir}/%{name}-%{version}}

%{__make} -C clipssrc/clipssrc install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p %{SOURCE8} $RPM_BUILD_ROOT%{_datadir}/misc/%{name}.hlp
cp -r Examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -f clipssrc/readme.txt COPYING

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) %{_bindir}/clips
%attr(755,root,root) %{_libdir}/libclips.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclips.so.6
%{_datadir}/misc/%{name}.hlp

%files devel
%defattr(644,root,root,755)
%{_libdir}/libclips.so
%{_libdir}/libclips.la
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/libclips.a

%files doc
%defattr(644,root,root,755)
%doc *.pdf
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Dec 11 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/clips.git;a=log;h=master

* Sun Dec 11 2016 Elan Ruusamäe <glen@delfi.ee> 196fe35
- noarch -doc

* Wed Jan 15 2014 Witold Filipczyk <witekfl@poczta.onet.pl> bd8bd64
- ghost soname symlink

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> 9f91d31
- s/enviroment/environment/

* Tue Sep 11 2007 Jan Rękorajski <baggins@pld-linux.org> e20350f
- rel 3
- fixed automake patch

* Tue Sep 11 2007 Jan Rękorajski <baggins@pld-linux.org> b5326cb
- use version 6.26
- link with locally built library

* Tue Sep 11 2007 Jan Rękorajski <baggins@pld-linux.org> 65ea02f
- rel 2
- proper R: for subpackages

* Tue Sep 11 2007 Jan Rękorajski <baggins@pld-linux.org> 7cc201d
- proper version is 6.26 (grep -h "CLIPS Version" * | sort)

* Tue Sep 11 2007 Jan Rękorajski <baggins@pld-linux.org> 315bf15
- up to 6.24

* Tue Sep 11 2007 Jan Rękorajski <baggins@pld-linux.org> e20edd1
- outdated

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> f64f6a7
- rel 3
- fixed linking

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> e9ec598
- fix linking with -as-needed

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> d2c8585
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f2c6837
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> aba4545
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> bd26513
- orphaned, outdated

* Wed Nov 10 2004 paladine <paladine@pld-linux.org> 880b27d
- cosmetics

* Sat Aug 30 2003 Jakub Bogusz <qboosh@pld-linux.org> 810797c
- fixed -static description

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 32acd12
- mass commit: cosmetics (removed trailing white spaces)

* Wed Aug 06 2003 kloczek <kloczek@pld-linux.org> 4ea07bd
- może wrescie ktoś wykasuje to konto ?

* Mon Jul 07 2003 Paweł Gołaszewski <blues@pld-linux.org> 4f06cbb
- many small fixes, inspired by kloczek

